### Class

# Snapd Assertion

since: 1.0

#### Description [src]

    final class Snapd.Assertion : GObject.Object
    {
      /* No available fields */
    }

`SnapdAssertion` contains information about a Snap assertion.

Assertions are digitally signed documents that allow Snaps to have secure trust and control features.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### snapd_assertion_new

Create a new assertion.

since: 1.0

#### Instance methods

###### snapd_assertion_get_body

Get the body of the assertion.

since: 1.0

###### snapd_assertion_get_header

Get a header from an assertion.

since: 1.0

###### snapd_assertion_get_headers

Get the headers provided by this assertion.

since: 1.0

###### snapd_assertion_get_signature

Get the signature of the assertion.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Assertion:content

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdAssertionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.